<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */

namespace Kufer\Web\KuferTools\Veranstalter\KursUebersichtDerMitarbeiter\KursUebersicht\Detailsreiter\Feedback;

class SendFeedbackController extends \Kufer\Web\KuferTools\Basis\KursDetails\Feedback\SendFeedbackController
{
  protected function getUseCase(): \Kufer\Web\KuferTools\Basis\UseCase\UseCase
  {
    return new SendFeedbackUseCase($this->getRequestObj());
  }

  protected function getNewRequestObj()
  {
    return new SendFeedbackRequest();
  }

  protected function getRequestObj()
  {
    $requestObj = parent::getRequestObj();
    $requestObj->knr = \GetOperations::getVarValue('knr');

    
    $action = \GetOperations::getVarValue('action');

    return $this->handleXsrf($requestObj, $action, $requestObj->knr);
  }
}